< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeout
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- JsonHttpReads
- LengthRequiredException
- LockedException
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- OptionHttpReads
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- RawReads
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

o

uk.gov.hmrc.http

# HttpReads 

###
Companion trait HttpReads

#### object HttpReads extends OptionHttpReads with JsonHttpReads

Linear Supertypes
JsonHttpReads, OptionHttpReads, HttpErrorFunctions, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpReads
2. JsonHttpReads
3. OptionHttpReads
4. HttpErrorFunctions
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def badGatewayMessage(verbName: String, url: String, e: Exception): String
   Definition Classes
     HttpErrorFunctions
6.  def badGatewayMessage(verbName: String, url: String, status: Int, responseBody: String): String
   Definition Classes
     HttpErrorFunctions
7.  def badRequestMessage(verbName: String, url: String, responseBody: String): String
   Definition Classes
     HttpErrorFunctions
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String
    Definition Classes
      HttpErrorFunctions
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def handleResponse(httpMethod: String, url: String)(response: HttpResponse): HttpResponse
    Definition Classes
      HttpErrorFunctions
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def is2xx(status: Int): Boolean
    Definition Classes
      HttpErrorFunctions
17.  def is4xx(status: Int): Boolean
    Definition Classes
      HttpErrorFunctions
18.  def is5xx(status: Int): Boolean
    Definition Classes
      HttpErrorFunctions
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      HttpErrorFunctions
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def notFoundMessage(verbName: String, url: String, responseBody: String): String
    Definition Classes
      HttpErrorFunctions
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def preconditionFailedMessage(verbName: String, url: String, responseBody: String): String
    Definition Classes
      HttpErrorFunctions
26.  implicit def readFromJson[O](implicit rds: Reads[O], mf: Manifest[O]): HttpReads[O]
    Definition Classes
      JsonHttpReads
27.  implicit def readOptionOf[P](implicit rds: HttpReads[P]): HttpReads[Option[P]]
    Definition Classes
      OptionHttpReads
28.  implicit val readRaw: HttpReads[HttpResponse]
29.  def readSeqFromJsonProperty[O](name: String)(implicit rds: Reads[O], mf: Manifest[O]): HttpReads[Seq[O]]
    Definition Classes
      JsonHttpReads
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  def upstreamResponseMessage(verbName: String, url: String, status: Int, responseBody: String): String
    Definition Classes
      HttpErrorFunctions
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from JsonHttpReads

### Inherited from OptionHttpReads

### Inherited from HttpErrorFunctions

### Inherited from AnyRef

### Inherited from Any

### Ungrouped